> For the complete documentation index, see [llms.txt](https://docs.projectsend.org/about/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.projectsend.org/about/installation/requirements.md).

# Requirements

Your server needs to be configured with at least:

* php 8.1 or newer
* MySQL 5.0 or newer(\*)
* Apache 2.2 or NGINX (recommended)
* The following php extensions enabled on php.ini
  * pdo
  * pdo\_mysql
  * mbstring
  * gettext
  * fileinfo
  * gd2
  * xml
  * zip
* cURL extension is recommended

(\*) If you are using version 8.x or newer, please set the authentication method of your database so it uses the MySQL native password. The default method (caching\_sha2\_password) will not work. Thanks to user jellevdbos for pointing this out.

If possible, make sure to have php configured with:

* memory\_limit set to 128M or more
* post\_max\_size set to 128M or more

If files fail to upload, even small ones, try adding these lines to your config file (includes/sys.config.php) at the top.

```
@ini_set( 'upload_max_size' , '256M' );
@ini_set( 'post_max_size', '256M');
@ini_set( 'max_execution_time', '300' );
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.projectsend.org/about/installation/requirements.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
